curl --request POST \
--url https://api.budgetpixel.com/v1/lip-sync/omni-human-1.5 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio": "<string>",
"image": "<string>",
"output_resolution": 1080,
"prompt": "<string>"
}
'import requests
url = "https://api.budgetpixel.com/v1/lip-sync/omni-human-1.5"
payload = {
"audio": "<string>",
"image": "<string>",
"output_resolution": 1080,
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audio: '<string>',
image: '<string>',
output_resolution: 1080,
prompt: '<string>'
})
};
fetch('https://api.budgetpixel.com/v1/lip-sync/omni-human-1.5', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credits": 123,
"id": "<string>",
"message": "<string>",
"model": "<string>",
"seconds": 123,
"status": "pending"
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}Lip sync with OmniHuman 1.5
BytePlus OmniHuman 1.5 — animates the person (or character/pet) in an image to speak the input audio with synchronized lips, facial expression, and body motion. Priced per second of the input audio, rounded UP to whole seconds (135 credits/second — e.g. a 12.4s clip bills as 13s).
Asynchronous. Returns a job id (the video is not in this response). Poll GET /v1/lip-sync/{id} until status is succeeded — the video URL is in that response’s video_url.
Examples, sample output and pricing: OmniHuman 1.5
Authorizations
API key as a bearer token: Authorization: Bearer bpx_live_xxx
Body
The speech/audio to lip-sync (mp3/wav, up to 60 seconds, max 5 MB). A public audio URL, a data URI, raw base64, or an uploaded-file URL from POST /v1/uploads.
The subject to animate — a human face/portrait, character, or pet. A public image URL, a data URI, raw base64, or an uploaded-file URL from POST /v1/uploads. jpg/png/webp.
Output resolution (same price for both).
720, 1080 Optional text prompt to guide the animation style or actions.
Response
Job accepted.
Total price of this job (seconds x the model's per-second rate).
Opaque job id (mtn_...) — use it to poll status.
Billed duration — the reference video's length
Lifecycle state. succeeded/failed/timeout are terminal.
pending, starting, processing, completing, succeeded, failed, timeout